## python-pick 2.4.0

=== Makefile ===
.PHONY=publish
publish:
	poetry build
	poetry publish

.PHONY=test
test:
	poetry run mypy .
	poetry run pytest

.PHONY=clean
clean:
	rm -fr build dist pick.egg-info

=== debian/changelog ===
python-pick (2.4.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@kali.org>  Wed, 04 Feb 2026 11:32:32 +0100

=== debian/control ===
Source: python-pick
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-poetry-core,
 python3-pytest,
 pybuild-plugin-pyproject
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.3
Homepage: https://github.com/aisk/pick
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-pick
Vcs-Git: https://gitlab.com/kalilinux/packages/python-pick.git

Package: python3-pick
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: library to help you create curses (Python 3)
 This package contains a small python library to help you create curses based
 interactive selection list in the terminal.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=pick

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5
Template: Github
Dist: https://github.com/aisk/pick
